#!/bin/bash
#SBATCH --job-name=NOMAGZ2Mix1
#SBATCH --mail-type=FAIL,END
#SBATCH --mail-user=z.keszthelyi@uva.nl
#SBATCH -n 1 -c 24
#SBATCH -N 1
#SBATCH -t 99:00:00
#SBATCH -p normal

#CD to folder
cd $HOME/Grid/NOMAG/Z2Mix1

for k in 0 #250 500 750 1000 1500 2000 2500 3000 3500 4000 4500 5000 5500 6000 6500 7000 7500 8000 8500 9000 9500 10000 15000 20000 30000 50000

do 
    echo "Creating main directory...$k"  
    mkdir $k 
    mkdir $k/template
    cp -r template $k/
    cp -r inlist_magnetic_NOMAGZ2Mix1.f $k/

for j in 3.0 4.0 5.0 6.0 7.0 8.0 9.0 10.0 11.0 12.0 13.0 14.0 15.0 16.0 17.0 18.0 19.0 20.0 21.0 22.0 23.0 24.0 25.0 30.0 40.0 50.0 60.0                             

do
    cd $HOME/Grid/NOMAG/Z2Mix1/$k
    echo "Creating sub-directory...$j"
    mkdir $j
    cp -r template/* $j
    cd $j
    sed -i -e "s/extras_rpar(1) =/extras_rpar(1) = $k /" inlist_grid
    sed -i -e "s/initial_mass =/initial_mass = $j /" inlist_grid
    echo "Running model..."
    ./rn > rn.out
    echo "Finished running model with B field and mass: $k/$j"
    rm -r clean history_columns.list inlist inlist_grid inlist_pgstar make mk photos profile_columns.list re README_first rn src star
    cd ..
done
    cd ..
done 